Download it now!
Bug 127935 - Double-click does not expand option tree
Summary: Double-click does not expand option tree
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: bibisectRequest, regression
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2019-10-02 19:29 UTC by Thomas Lendo
Modified: 2019-10-07 08:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2019-10-02 19:29:32 UTC
1. Open Tools > Options.
2. Double-click at 'Load/Save' or any other top-level item.

Version: 6.4.0.0.alpha0+
Build ID: 66e45a1ae861d50edf65fed9e39c9c9d5b15e0ac
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-09-28_15:31:38
Comment 1 Oliver Brinzing 2019-10-03 06:52:30 UTC
reproducible with:

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 1af2f8f75e4e15c1b0c3e5a04e405fc4b354ef2b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

but not reproducible with:

Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 


a single click on [+] will expand, but double click on text "Load/Save" fails
Comment 2 Jim Raykowski 2019-10-03 23:51:47 UTC
Hi All,

The weld OfaTreeOptionsDialog commit caused this.

commit 94d6fa11d086187b82adf9aa596e0f334827e095
Author: Caolán McNamara <caolanm@redhat.com>, Tue Sep 17 12:50:05 2019 +0100 

Here is a patch that makes double click expand/collapse.

https://gerrit.libreoffice.org/#/c/80173/

I have come up with two ways to do this. Caolán, if you have time, your advice is appreciated of which is better.
Comment 3 Commit Notification 2019-10-05 14:18:03 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/623c0cff7589e3f2298c16c7402cf160b99fabe2

tdf#127935 Make double click expand/collapse entry in option tree

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-10-06 20:15:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/48595c805dd5b917e9bd01ad1c2deb4a047c5f7b

Related: tdf#127935 set default activate handler to toggle row expansion

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-10-07 08:44:05 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52cda5c5ae426761ccbdb4f20419098eab195303
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!